{
	"license": "agpl",
	"private": true,
	"scripts": {
		"build": "NODE_ENV=production ./node_modules/.bin/webpack-cli --progress --config webpack.js",
		"dev": "NODE_ENV=development ./node_modules/.bin/webpack-cli --progress --config webpack.js",
		"watch": "NODE_ENV=development ./node_modules/.bin/webpack-cli --progress --watch --config webpack.js",
		"lint": "./node_modules/.bin/eslint --ext .js,.vue src",
		"lint:fix": "./node_modules/.bin/eslint --ext .js,.vue src --fix",
		"stylelint": "./node_modules/.bin/stylelint src",
		"stylelint:fix": "./node_modules/.bin/stylelint src --fix"
	},
	"dependencies": {
		"@nextcloud/axios": "^2.5.1",
		"@nextcloud/browserslist-config": "^3.0.1",
		"@nextcloud/event-bus": "^3.3.1",
		"@nextcloud/initial-state": "^2.2.0",
		"@nextcloud/l10n": "^3.1.0",
		"@nextcloud/vue": "^8.19.0",
		"@vueuse/core": "^11.1.0",
		"axios": "^1.6.7",
		"trim": "^1.0.1"
	},
	"browserslist": [
		"extends @nextcloud/browserslist-config"
	],
	"engines": {
		"node": ">=16.0.0"
	},
	"devDependencies": {
		"@babel/node": "^7.25.7",
		"@babel/plugin-transform-private-methods": "^7.25.7",
		"@babel/preset-typescript": "^7.24.7",
		"@cypress/vue2": "^2.1.1",
		"@cypress/webpack-preprocessor": "^6.0.2",
		"@nextcloud/babel-config": "^1.2.0",
		"@nextcloud/eslint-config": "^8.4.1",
		"@nextcloud/stylelint-config": "^3.0.1",
		"@nextcloud/typings": "^1.9.1",
		"@nextcloud/webpack-vue-config": "^6.0.1",
		"@simplewebauthn/types": "^10.0.0",
		"@types/dockerode": "^3.3.29",
		"@types/wait-on": "^5.3.4",
		"@vue/tsconfig": "^0.5.1",
		"babel-loader": "^9.2.1",
		"babel-loader-exclude-node-modules-except": "^1.2.1",
		"babel-plugin-module-resolver": "^5.0.2",
		"colord": "^2.9.3",
		"eslint-plugin-cypress": "^3.5.0",
		"eslint-plugin-es": "^4.1.0",
		"exports-loader": "^5.0.0",
		"file-loader": "^6.2.0",
		"handlebars-loader": "^1.7.3",
		"jasmine-core": "~2.99.0",
		"jasmine-sinon": "^0.4.0",
		"jsdoc": "^4.0.2",
		"raw-loader": "^4.0.2",
		"sass": "^1.79.3",
		"stylelint": "^16.9.0",
		"stylelint-use-logical": "^2.1.2",
		"ts-loader": "^9.5.0",
		"ts-node": "^10.9.1",
		"tslib": "^2.7.0",
		"typescript": "^5.6.2",
		"vue-loader": "^15.9.8",
		"vue-template-compiler": "^2.7.16",
		"wait-on": "^8.0.1",
		"webpack": "^5.94.0",
		"webpack-cli": "^5.0.2",
		"webpack-merge": "^6.0.1",
		"workbox-webpack-plugin": "^7.1.0"
	}
}
